<?php
/**
 * Created by PhpStorm.
 * User: upliu <i@upliu.net> https://upliu.net/
 * Date: 08/01/2017
 * Time: 16:08
 */


namespace app\plugins\UpliuDraft;


use app\components\PluginInterface;
use app\components\SfHook;
use yii\helpers\FileHelper;

class UpliuDraft implements PluginInterface
{

    public static function info()
    {
        return [
            'id' => 'UpliuDraft',
            'name' => '自动保存草稿',
            'description' => '自动保存草稿',
            'author' => 'upliu',
            'url' => 'https://upliu.net/',
            'version' => '1.0',
            'config' => [],
        ];
    }

    private static function getConfigStr()
    {
        return implode("\n", [
            '',
            '/*___'.__CLASS__.'___*/',
            '$config = yii\helpers\ArrayHelper::merge($config, require SF_PATH . \'/plugins/UpliuDraft/config.php\');',
            '/*___'.__CLASS__.'___*/',
            '',
        ]);
    }

    public static function install()
    {
        // 加载配置
        $configStr = file_get_contents(\Yii::getAlias('@app/config/web.php'));
        $configStr = str_replace('return $config;', static::getConfigStr().'return $config;', $configStr);
        file_put_contents(\Yii::getAlias('@app/config/web.php'), $configStr);
        return true;
    }

    public static function uninstall()
    {
        // 删除配置
        $configStr = file_get_contents(\Yii::getAlias('@app/config/web.php'));
        $configStr = str_replace(static::getConfigStr(), '', $configStr);
        file_put_contents(\Yii::getAlias('@app/config/web.php'), $configStr);
        return true;
    }
}
