<?php
/**
 * Created by PhpStorm.
 * User: upliu <i@upliu.net> https://upliu.net/
 * Date: 08/01/2017
 * Time: 16:10
 */

$config = [];

\yii\base\Event::on('yii\web\View', 'beginBody', function (\yii\base\Event $event) {
    /** @var yii\web\View $view */
    $view = $event->sender;
    $action = Yii::$app->requestedAction;
    $actionId = $action->uniqueId;
    if (in_array($actionId, ['topic/new', 'topic/view', 'comment/edit', 'topic/edit'])) {
        \app\plugins\UpliuDraft\UpliuDraftAsset::register($view);
        if ($actionId == 'comment/edit') {
            $view->registerJs('var UpliuDraft_comment_id='.Yii::$app->requestedParams[0].';', yii\web\View::POS_HEAD);
        } else if ($actionId == 'topic/edit') {
            $view->registerJs('var UpliuDraft_topic_id='.Yii::$app->requestedParams[0].';', yii\web\View::POS_HEAD);
        } else if ($actionId == 'topic/new') {
            $view->registerJs('var UpliuDraft_topic_id=0;', yii\web\View::POS_HEAD);
        } else if ($actionId == 'topic/view') {
            $view->registerJs('var UpliuDraft_comment_id=0;', yii\web\View::POS_HEAD);
        }
    }
});

return $config;